package cn.ibizlab.r7.runtime.client.base.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.r7.runtime.core.client.model.ILoginAccount;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[LoginAccount] 对象
 */
public class LoginAccountImpl implements ILoginAccount,Serializable{

    /**
     * 确认密码
     */
    public String confirmpwd;

    @JsonIgnore
    public boolean confirmpwdDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp updateDate;

    @JsonIgnore
    public boolean updateDateDirtyFlag;
    
    /**
     * 登录账号标识
     */
    public String loginAccountId;

    @JsonIgnore
    public boolean loginAccountIdDirtyFlag;
    
    /**
     * 密码
     */
    public String pwd;

    @JsonIgnore
    public boolean pwdDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp createDate;

    @JsonIgnore
    public boolean createDateDirtyFlag;
    
    /**
     * 密码修改标记
     */
    public String pwdChanged;

    @JsonIgnore
    public boolean pwdChangedDirtyFlag;
    
    /**
     * 最近一次密码变更时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp lastPwfChgTime;

    @JsonIgnore
    public boolean lastPwfChgTimeDirtyFlag;
    
    /**
     * 登录账号名称
     */
    public String loginAccountName;

    @JsonIgnore
    public boolean loginAccountNameDirtyFlag;
    
    /**
     * 建立人
     */
    public String createMan;

    @JsonIgnore
    public boolean createManDirtyFlag;
    
    /**
     * 是否是超级用户
     */
    public String isSuperUser;

    @JsonIgnore
    public boolean isSuperUserDirtyFlag;
    
    /**
     * 是否启用
     */
    public Integer enable;

    @JsonIgnore
    public boolean enableDirtyFlag;
    
    /**
     * 最近一次密码变更人
     */
    public String lastpwdchgman;

    @JsonIgnore
    public boolean lastpwdchgmanDirtyFlag;
    
    /**
     * 更新人
     */
    public String updateMan;

    @JsonIgnore
    public boolean updateManDirtyFlag;
    
    /**
     * 旧密码
     */
    public String oldPwd;

    @JsonIgnore
    public boolean oldPwdDirtyFlag;
    
    /**
     * 用户名称
     */
    public String userName;

    @JsonIgnore
    public boolean userNameDirtyFlag;
    
    /**
     * 用户标识
     */
    public String userId;

    @JsonIgnore
    public boolean userIdDirtyFlag;
    
    /**
     * 获取 [确认密码]
     */
    @JsonProperty("confirmpwd")
    public String getConfirmpwd(){
        return this.confirmpwd ;
    }

    /**
     * 设置 [确认密码]
     */
    @JsonProperty("confirmpwd")
    public void setConfirmpwd(String  confirmpwd){
        this.confirmpwd = confirmpwd ;
        this.confirmpwdDirtyFlag = true ;
    }

     /**
     * 获取 [确认密码]脏标记
     */
    @JsonIgnore
    public boolean getConfirmpwdDirtyFlag(){
        return this.confirmpwdDirtyFlag ;
    }   

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

     /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }   

    /**
     * 获取 [登录账号标识]
     */
    @JsonProperty("loginaccountid")
    public String getLoginAccountId(){
        return this.loginAccountId ;
    }

    /**
     * 设置 [登录账号标识]
     */
    @JsonProperty("loginaccountid")
    public void setLoginAccountId(String  loginAccountId){
        this.loginAccountId = loginAccountId ;
        this.loginAccountIdDirtyFlag = true ;
    }

     /**
     * 获取 [登录账号标识]脏标记
     */
    @JsonIgnore
    public boolean getLoginAccountIdDirtyFlag(){
        return this.loginAccountIdDirtyFlag ;
    }   

    /**
     * 获取 [密码]
     */
    @JsonProperty("pwd")
    public String getPwd(){
        return this.pwd ;
    }

    /**
     * 设置 [密码]
     */
    @JsonProperty("pwd")
    public void setPwd(String  pwd){
        this.pwd = pwd ;
        this.pwdDirtyFlag = true ;
    }

     /**
     * 获取 [密码]脏标记
     */
    @JsonIgnore
    public boolean getPwdDirtyFlag(){
        return this.pwdDirtyFlag ;
    }   

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

     /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }   

    /**
     * 获取 [密码修改标记]
     */
    @JsonProperty("pwdchanged")
    public String getPwdChanged(){
        return this.pwdChanged ;
    }

    /**
     * 设置 [密码修改标记]
     */
    @JsonProperty("pwdchanged")
    public void setPwdChanged(String  pwdChanged){
        this.pwdChanged = pwdChanged ;
        this.pwdChangedDirtyFlag = true ;
    }

     /**
     * 获取 [密码修改标记]脏标记
     */
    @JsonIgnore
    public boolean getPwdChangedDirtyFlag(){
        return this.pwdChangedDirtyFlag ;
    }   

    /**
     * 获取 [最近一次密码变更时间]
     */
    @JsonProperty("lastpwfchgtime")
    public Timestamp getLastPwfChgTime(){
        return this.lastPwfChgTime ;
    }

    /**
     * 设置 [最近一次密码变更时间]
     */
    @JsonProperty("lastpwfchgtime")
    public void setLastPwfChgTime(Timestamp  lastPwfChgTime){
        this.lastPwfChgTime = lastPwfChgTime ;
        this.lastPwfChgTimeDirtyFlag = true ;
    }

     /**
     * 获取 [最近一次密码变更时间]脏标记
     */
    @JsonIgnore
    public boolean getLastPwfChgTimeDirtyFlag(){
        return this.lastPwfChgTimeDirtyFlag ;
    }   

    /**
     * 获取 [登录账号名称]
     */
    @JsonProperty("loginaccountname")
    public String getLoginAccountName(){
        return this.loginAccountName ;
    }

    /**
     * 设置 [登录账号名称]
     */
    @JsonProperty("loginaccountname")
    public void setLoginAccountName(String  loginAccountName){
        this.loginAccountName = loginAccountName ;
        this.loginAccountNameDirtyFlag = true ;
    }

     /**
     * 获取 [登录账号名称]脏标记
     */
    @JsonIgnore
    public boolean getLoginAccountNameDirtyFlag(){
        return this.loginAccountNameDirtyFlag ;
    }   

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

     /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }   

    /**
     * 获取 [是否是超级用户]
     */
    @JsonProperty("issuperuser")
    public String getIsSuperUser(){
        return this.isSuperUser ;
    }

    /**
     * 设置 [是否是超级用户]
     */
    @JsonProperty("issuperuser")
    public void setIsSuperUser(String  isSuperUser){
        this.isSuperUser = isSuperUser ;
        this.isSuperUserDirtyFlag = true ;
    }

     /**
     * 获取 [是否是超级用户]脏标记
     */
    @JsonIgnore
    public boolean getIsSuperUserDirtyFlag(){
        return this.isSuperUserDirtyFlag ;
    }   

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

     /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }   

    /**
     * 获取 [最近一次密码变更人]
     */
    @JsonProperty("lastpwdchgman")
    public String getLastpwdchgman(){
        return this.lastpwdchgman ;
    }

    /**
     * 设置 [最近一次密码变更人]
     */
    @JsonProperty("lastpwdchgman")
    public void setLastpwdchgman(String  lastpwdchgman){
        this.lastpwdchgman = lastpwdchgman ;
        this.lastpwdchgmanDirtyFlag = true ;
    }

     /**
     * 获取 [最近一次密码变更人]脏标记
     */
    @JsonIgnore
    public boolean getLastpwdchgmanDirtyFlag(){
        return this.lastpwdchgmanDirtyFlag ;
    }   

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

     /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }   

    /**
     * 获取 [旧密码]
     */
    @JsonProperty("oldpwd")
    public String getOldPwd(){
        return this.oldPwd ;
    }

    /**
     * 设置 [旧密码]
     */
    @JsonProperty("oldpwd")
    public void setOldPwd(String  oldPwd){
        this.oldPwd = oldPwd ;
        this.oldPwdDirtyFlag = true ;
    }

     /**
     * 获取 [旧密码]脏标记
     */
    @JsonIgnore
    public boolean getOldPwdDirtyFlag(){
        return this.oldPwdDirtyFlag ;
    }   

    /**
     * 获取 [用户名称]
     */
    @JsonProperty("username")
    public String getUserName(){
        return this.userName ;
    }

    /**
     * 设置 [用户名称]
     */
    @JsonProperty("username")
    public void setUserName(String  userName){
        this.userName = userName ;
        this.userNameDirtyFlag = true ;
    }

     /**
     * 获取 [用户名称]脏标记
     */
    @JsonIgnore
    public boolean getUserNameDirtyFlag(){
        return this.userNameDirtyFlag ;
    }   

    /**
     * 获取 [用户标识]
     */
    @JsonProperty("userid")
    public String getUserId(){
        return this.userId ;
    }

    /**
     * 设置 [用户标识]
     */
    @JsonProperty("userid")
    public void setUserId(String  userId){
        this.userId = userId ;
        this.userIdDirtyFlag = true ;
    }

     /**
     * 获取 [用户标识]脏标记
     */
    @JsonIgnore
    public boolean getUserIdDirtyFlag(){
        return this.userIdDirtyFlag ;
    }   

}
